/*
 *  Copyright (c) 2004 on behalf of the EU EGEE Project:
 *  The European Organization for Nuclear Research (CERN),
 *  Istituto Nazionale di Fisica Nucleare (INFN) Italy
 *  Datamat Spa Italy
 *  Centre National de la Recherche Scientifique (CNRS) France
 *  CS Systeme d'Information (CSSI) France
 *  Royal Institute of Technology Center for Parallel Computers (KTH-PDC), Sweden
 *  Universiteit van Amsterdam (UvA) Netherlands
 *  University of Helsinki (UH.HIP) Finland
 *  University of Bergen (UiB) Norway
 *  Council for the Central Laboratory of the Research Councils (CCLRC) United Kingdom
 */

#ifndef RGMA_ERRORS_H
#define RGMA_ERRORS_H

/* This header file contains the standard error definitions used by the R-GMA
   C API. In due course they will be rationalised with the server-side ones. */

#define ERROR_InfoNotAvailable "Error details are not available."
#define ERROR_NoErrorToReport "No error has been reported."
#define ERROR_OutOfMemory "Insufficient memory."
#define ERROR_NotYetImplemented "Requested functionality is not yet implemented. Please see API documentation."
#define ERROR_InvalidArguments "Function arguments are invalid. Please see API documentation."
#define ERROR_InvalidQueryType "Consumer query type is invalid. Please see API documentation."
#define ERROR_InvalidResource "Resource is wrong type for this API function."
#define ERROR_InvalidProducerProps "Producer properties has illegal value."
#define ERROR_InvalidStorageType "Storage type has illegal value."
#define ERROR_InvalidResourceType "Resource type has illegal value."
#define ERROR_CantGetServiceURL "Error getting service URL from $RGMA_HOME/etc/rgma/rgma.conf."
#define ERROR_InvalidServletURL "Requested servlet URL is not valid."
#define ERROR_InvalidService "Service code has invalid value."
#define ERROR_InvalidURI "Invalid URI for On-demand producer."
#define ERROR_ValueNotInResultSet "Requested value was not returned by the servlet."
#define ERROR_CantConnect "Can't connect to servlet (check URL)."
#define ERROR_SocketTimedOut "No response from servlet (connection timed out)."
#define ERROR_AuthFailure "Can't connect to servlet (authentication failed)."
#define ERROR_HTTPError "Mangled HTTP response from servlet."
#define ERROR_CantParseXMLResponse "Error parsing XMLResponse from servlet (may just the servlet URL that is wrong - check rgma.conf)."
#define ERROR_NullPointer "Unexpected NULL pointer."
#define ERROR_GSOAPCorrupt "gSOAP returned an unexpected NULL pointer"

#endif /* RGMA_ERRORS_H */
