/*
 *  Copyright (c) 2004 on behalf of the EU EGEE Project:
 *  The European Organization for Nuclear Research (CERN),
 *  Istituto Nazionale di Fisica Nucleare (INFN), Italy
 *  Datamat Spa, Italy
 *  Centre National de la Recherche Scientifique (CNRS), France
 *  CS Systeme d'Information (CSSI), France
 *  Royal Institute of Technology, Center for Parallel Computers (KTH-PDC), Sweden
 *  Universiteit van Amsterdam (UvA), Netherlands
 *  University of Helsinki (UH.HIP), Finland
 *  University of Bergen (UiB), Norway
 *  Council for the Central Laboratory of the Research Councils (CCLRC), United Kingdom
 */

#ifndef RGMA_LIB_H
#define RGMA_LIB_H

/* Header file for rgma_lib.c */

#include <stdio.h> /* for FILE */
#include "rgma.h"  /* for RGMAResultSet, RGMAException and RGMARow */

extern RGMAResultSet *lib_emptyResultSet(void);
extern RGMAResultSet *lib_checkResultSet(RGMAResultSet *);
extern char **lib_getResultSetValue(RGMAResultSet *, int, int, const char *);
extern void lib_printResultSet(FILE *, RGMAResultSet *);
extern void *lib_freeResultSet(RGMAResultSet *);
extern void lib_setException(RGMAException *, RGMAException *, int, int, char *, int);
extern int lib_resultSetToInt(RGMAResultSet *, const char *, int *, RGMAException *);
extern int lib_resultSetToBoolean(RGMAResultSet *, const char *, int *, RGMAException *);
extern int lib_resultSetToString(RGMAResultSet *, const char *, char **, RGMAException *);
extern void lib_freeEndpoint(RGMAResourceEndpoint *);
extern void lib_freeException(RGMAException *);
extern int lib_resultSetToStringList(RGMAResultSet *, const char *, RGMAStringList **, RGMAException *);
extern void lib_freeStringList(RGMAStringList *);
extern int lib_resultSetToTupleStoreList(RGMAResultSet *, RGMATupleStoreList **, RGMAException *);
extern void lib_freeTupleStoreList(RGMATupleStoreList *);
extern int lib_resultSetToIndexList(RGMAResultSet *, RGMAIndexList **, RGMAException *);
extern void lib_freeIndexList(RGMAIndexList *);
extern int lib_resultSetToTableDefinition(RGMAResultSet *, RGMATableDefinition **, RGMAException *);
extern void lib_freeTableDefinition(RGMATableDefinition *);
extern int lib_resultSetToProducerTableEntryList(RGMAResultSet *, RGMAProducerTableEntryList **, RGMAException *);
extern void lib_freeProducerTableEntryList(RGMAProducerTableEntryList *);
extern char *lib_getServiceURL(int, RGMAException *);
extern char *lib_getProperty(char *, const char *);
extern int lib_checkBoolean(const char *);
extern int lib_checkColumnType(const char *);
extern void lib_free(void *);

#endif /* RGMA_LIB_H */

/* End of file. */
